using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.DailyPlatformReceivable
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }

        //static void Main(string[] args)
        //{

        //    var _services = new Services();

        //    var start = DateTime.Parse("2021-03-01");
        //    while (start.AddDays(1) < DateTime.Now)
        //    {
        //        Console.WriteLine(start);
        //        _services.Init(start);
        //        start = start.AddDays(1);
        //    }
        //}
    }
}
